
Foreman - Bug #10138

Manage Location and Organization unusable once thousands of nodes are assigned

04/14/2015 12:54 PM - Chuck Schweizer

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.8.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Testing forman 1.8 rc3 and have enabled Organization and Location support for the first time.  With 500 - 2,000 nodes assigned the

response time is slow but workable, even 2500 nodes take quite a bit longer.  On Locations or Organizations with 7000 + nodes

assigned it seems to spin forever.

2015-04-14 16:52:14 [D]   Host::Managed Load (168.9ms)  SELECT "hosts".* FROM "hosts" WHERE "hosts"."organization_id"

= 7 AND "hosts"."type" IN ('Host::Managed') AND (hosts.operatingsystem_id IS NOT NULL)

2015-04-14 16:52:16 [D]   ConfigTemplate Load (1.2ms)  SELECT "config_templates".* FROM "config_templates" INNER JOIN

"config_templates_operatingsystems" ON "config_templates_operatingsystems"."config_template_id" = "config_templates"."id"

INNER JOIN "operatingsystems" ON "operatingsystems"."id" = "config_templates_operatingsystems"."operatingsystem_id"

INNER JOIN "template_kinds" ON "template_kinds"."id" = "config_templates"."template_kind_id" INNER JOIN

"template_combinations" ON "template_combinations"."config_template_id" = "config_templates"."id" WHERE

"operatingsystems"."id" = 8 AND "template_kinds"."name" = 'provision' AND "template_combinations"."hostgroup_id" IS NULL

AND "template_combinations"."environment_id" = 1 ORDER BY config_templates.name LIMIT 1

2015-04-14 16:52:16 [D]   ConfigTemplate Load (0.8ms)  SELECT "config_templates".* FROM "config_templates" INNER JOIN

"config_templates_operatingsystems" ON "config_templates_operatingsystems"."config_template_id" = "config_templates"."id"

INNER JOIN "operatingsystems" ON "operatingsystems"."id" = "config_templates_operatingsystems"."operatingsystem_id"

INNER JOIN "template_kinds" ON "template_kinds"."id" = "config_templates"."template_kind_id" INNER JOIN

"os_default_templates" ON "os_default_templates"."config_template_id" = "config_templates"."id" WHERE

"operatingsystems"."id" = 8 AND "template_kinds"."name" = 'provision' AND "os_default_templates"."operatingsystem_id" = 8

ORDER BY config_templates.name LIMIT 1

Related issues:

Is duplicate of Foreman - Bug #10893: Editing organizations/locations hangs i... Resolved 06/22/2015

Is duplicate of Foreman - Bug #14924: taxonomies/edit.html.erb takes minutes ... Closed 05/04/2016

History

#1 - 04/15/2015 02:17 AM - Marek Hulán

- Category set to Organizations and Locations

#2 - 01/04/2016 10:02 AM - Timo Goebel

- Is duplicate of Bug #10893: Editing organizations/locations hangs in 1.8.2 added

#3 - 12/13/2016 03:23 AM - Tomer Brisker

- Status changed from New to Duplicate

#4 - 12/13/2016 03:23 AM - Tomer Brisker

- Is duplicate of Bug #14924: taxonomies/edit.html.erb takes minutes to render added
